$SuperMacro_version = "2.1 FULL";

function supermacrogui_togglerecord(%x)
{
	if(!$SuperMacro_versionchecked)
	{
		$SuperMacro_versionchecked = 1;
		supermacro_versioncheck(1);
	}

	if(%x)
	{
		if(!isobject(supermacroso) || supermacroso.total)
			supermacro_startrecord();
		else
			supermacro_endrecord();
	}
}

function supermacrogui_togglereplay(%x)
{
	if(%x)
		supermacro_replay();
}

function supermacro_startrecord()
{
	if(iseventpending(supermacroso.sched))
		return;

	if(isobject(supermacroso))
		supermacroso.delete();
	clientcmdcenterprint("\c2Recording Started", 2);

	new scriptobject(supermacroso)
	{
		start = getsimtime();
		curraction = 0;
	};
	$supermacrochain = 0;
	activatepackage(supermacro);
}

function supermacro_endrecord()
{
	if(!isobject(supermacroso))
		return;

	if(iseventpending(supermacroso.sched))
		return;
	clientcmdcenterprint("\c0Recording Ended", 2);
	supermacroso.total = getsimtime() - supermacroso.start;
	deactivatepackage(supermacro);
}

function supermacro_replay()
{
	if(iseventpending(supermacroso.sched))
	{
		cancel(supermacroso.sched);
		clientcmdcenterprint("\c0Playback cancelled", 2);
		supermacro_cancelbuttons();
		return;
	}

	if(!isobject(supermacroso))
		return;

	if(!supermacroso.total)
	{
		supermacro_endrecord();
		clientcmdcenterprint("\c6Recording ended, playback beginning", 2);
	}
	else
		clientcmdcenterprint("\c6Playback beginning", 2);
	supermacroso.replaystart = getsimtime();
	supermacroso.currreplay = 0;
	supermacro_tick();
}

function supermacro_tick()
{
	if(!isobject(supermacroso))
		return;

	if(iseventpending(supermacroso.sched))
		cancel(supermacroso.sched);
	%elapsed = getsimtime() - supermacroso.replaystart;

	while(%elapsed >= supermacroso.time[supermacroso.currreplay])
	{
		if(supermacroso.time[supermacroso.currreplay] !$= "")
		{
			%cmd = "call("@ supermacroso.action[supermacroso.currreplay] @","@ supermacroso.args[supermacroso.currreplay] @");";
			eval(%cmd);
			supermacroso.currreplay++;
		}
		else
		{
			clientcmdcenterprint("\c2Playback completed", 2);
			supermacro_cancelbuttons();
			return;
		}
	}
	supermacroso.sched = schedule(1, 0, supermacro_tick);
}

function supermacro_addevent(%function, %args)
{
	if(!isobject(supermacroso))
		return;
	supermacroso.action[supermacroso.curraction] = %function;
	supermacroso.args[supermacroso.curraction] = %args;
	supermacroso.time[supermacroso.curraction] = getsimtime() - supermacroso.start;
	supermacroso.curraction++;
}

function supermacro_cancelbuttons()
{
	moveforward(0);
	movebackward(0);
	moveleft(0);
	moveright(0);
	jump(0);
	crouch(0);
	walk(0);
	jet(0);
	turnLeft(0);
	turnRight(0);
	panUp(0);
	panDown(0);
	toggleZoom(0);
	toggleFreeLook(0);
	toggleFirstPerson(0);
	dropCameraAtPlayer(0);
	dropPlayerAtCamera(0);
	mouseFire(0);
	Suicide(0);
	NextSeat(0);
	PrevSeat(0);
	GlobalChat(0);
	TeamChat(0);
	PageUpNewChatHud(0);
	PageDownNewChatHud(0);
	ToggleCursor(0);
	useBricks(0);
	useTools(0);
	useSprayCan(0);
	useLight(0);
	dropTool(0);
	useFirstSlot(0);
	useSecondSlot(0);
	useThirdSlot(0);
	useFourthSlot(0);
	useFifthSlot(0);
	useSixthSlot(0);
	useSeventhSlot(0);
	useEighthSlot(0);
	useNinthSlot(0);
	useTenthSlot(0);
	invUp(0);
	invDown(0);
	invLeft(0);
	invRight(0);
	openBSD(0);
	plantBrick(0);
	undoBrick(0);
	cancelBrick(0);
	shiftBrickAway(0);
	shiftBrickTowards(0);
	shiftBrickLeft(0);
	shiftBrickRight(0);
	shiftBrickUp(0);
	shiftBrickDown(0);
	shiftBrickThirdUp(0);
	shiftBrickThirdDown(0);
	RotateBrickCW(0);
	RotateBrickCCW(0);
	superShiftBrickAwayProxy(0);
	superShiftBrickTowardsProxy(0);
	superShiftBrickLeftProxy(0);
	superShiftBrickRightProxy(0);
	superShiftBrickUpProxy(0);
	superShiftBrickDownProxy(0);
	ToggleBuildMacroRecording(0);
	PlayBackBuildMacro(0);
	emoteSit(0);
	emoteLove(0);
	emoteHate(0);
	emoteConfusion(0);
	emoteAlarm(0);
}

package supermacro
{
	function yaw(%x)
	{
		$supermacrochain++;
		parent::yaw(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("yaw", %x);
	}

	function scrollinventory(%x)
	{
		$supermacrochain++;
		parent::scrollinventory(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("scrollinventory", %x);
	}

	function scrollbricks(%x)
	{
		$supermacrochain++;
		parent::scrollbricks(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("scrollbricks", %x);
	}

	function pitch(%x)
	{
		$supermacrochain++;
		parent::pitch(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("pitch", %x);
	}

	function moveforward(%x)
	{
		$supermacrochain++;
		parent::moveforward(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("moveforward", %x);
	}

	function movebackward(%x)
	{
		$supermacrochain++;
		parent::movebackward(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("movebackward", %x);
	}

	function moveleft(%x)
	{
		$supermacrochain++;
		parent::moveleft(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("moveleft", %x);
	}

	function moveright(%x)
	{
		$supermacrochain++;
		parent::moveright(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("moveright", %x);
	}

	function jump(%x)
	{
		$supermacrochain++;
		parent::jump(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("jump", %x);
	}

	function crouch(%x)
	{
		$supermacrochain++;
		parent::crouch(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("crouch", %x);
	}

	function walk(%x)
	{
		$supermacrochain++;
		parent::walk(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("walk", %x);
	}

	function jet(%x)
	{
		$supermacrochain++;
		parent::jet(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("jet", %x);
	}

	function turnLeft(%x)
	{
		$supermacrochain++;
		parent::turnLeft(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("turnLeft", %x);
	}

	function turnRight(%x)
	{
		$supermacrochain++;
		parent::turnRight(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("turnRight", %x);
	}

	function panUp(%x)
	{
		$supermacrochain++;
		parent::panUp(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("panUp", %x);
	}

	function panDown(%x)
	{
		$supermacrochain++;
		parent::panDown(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("panDown", %x);
	}

	function toggleZoom(%x)
	{
		$supermacrochain++;
		parent::toggleZoom(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("toggleZoom", %x);
	}

	function toggleFreeLook(%x)
	{
		$supermacrochain++;
		parent::toggleFreeLook(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("toggleFreeLook", %x);
	}

	function toggleFirstPerson(%x)
	{
		$supermacrochain++;
		parent::toggleFirstPerson(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("toggleFirstPerson", %x);
	}

	function dropCameraAtPlayer(%x)
	{
		$supermacrochain++;
		parent::dropCameraAtPlayer(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("dropCameraAtPlayer", %x);
	}

	function dropPlayerAtCamera(%x)
	{
		$supermacrochain++;
		parent::dropPlayerAtCamera(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("dropPlayerAtCamera", %x);
	}

	function mouseFire(%x)
	{
		$supermacrochain++;
		parent::mouseFire(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("mouseFire", %x);
	}

	function Suicide(%x)
	{
		$supermacrochain++;
		parent::Suicide(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("Suicide", %x);
	}

	function NextSeat(%x)
	{
		$supermacrochain++;
		parent::NextSeat(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("NextSeat", %x);
	}

	function PrevSeat(%x)
	{
		$supermacrochain++;
		parent::PrevSeat(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("PrevSeat", %x);
	}

	function useBricks(%x)
	{
		$supermacrochain++;
		parent::useBricks(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useBricks", %x);
	}

	function useTools(%x)
	{
		$supermacrochain++;
		parent::useTools(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useTools", %x);
	}

	function useSprayCan(%x)
	{
		$supermacrochain++;
		parent::useSprayCan(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useSprayCan", %x);
	}

	function useLight(%x)
	{
		$supermacrochain++;
		parent::useLight(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useLight", %x);
	}

	function dropTool(%x)
	{
		$supermacrochain++;
		parent::dropTool(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("dropTool", %x);
	}

	function useFirstSlot(%x)
	{
		$supermacrochain++;
		parent::useFirstSlot(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useFirstSlot", %x);
	}

	function useSecondSlot(%x)
	{
		$supermacrochain++;
		parent::useSecondSlot(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useSecondSlot", %x);
	}

	function useThirdSlot(%x)
	{
		$supermacrochain++;
		parent::useThirdSlot(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useThirdSlot", %x);
	}

	function useFourthSlot(%x)
	{
		$supermacrochain++;
		parent::useFourthSlot(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useFourthSlot", %x);
	}

	function useFifthSlot(%x)
	{
		$supermacrochain++;
		parent::useFifthSlot(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useFifthSlot", %x);
	}

	function useSixthSlot(%x)
	{
		$supermacrochain++;
		parent::useSixthSlot(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useSixthSlot", %x);
	}

	function useSeventhSlot(%x)
	{
		$supermacrochain++;
		parent::useSeventhSlot(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useSeventhSlot", %x);
	}

	function useEighthSlot(%x)
	{
		$supermacrochain++;
		parent::useEighthSlot(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useEighthSlot", %x);
	}

	function useNinthSlot(%x)
	{
		$supermacrochain++;
		parent::useNinthSlot(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useNinthSlot", %x);
	}

	function useTenthSlot(%x)
	{
		$supermacrochain++;
		parent::useTenthSlot(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("useTenthSlot", %x);
	}

	function invUp(%x)
	{
		$supermacrochain++;
		parent::invUp(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("invUp", %x);
	}

	function invDown(%x)
	{
		$supermacrochain++;
		parent::invDown(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("invDown", %x);
	}

	function invLeft(%x)
	{
		$supermacrochain++;
		parent::invLeft(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("invLeft", %x);
	}

	function invRight(%x)
	{
		$supermacrochain++;
		parent::invRight(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("invRight", %x);
	}

	function plantBrick(%x)
	{
		$supermacrochain++;
		parent::plantBrick(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("plantBrick", %x);
	}

	function undoBrick(%x)
	{
		$supermacrochain++;
		parent::undoBrick(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("undoBrick", %x);
	}

	function cancelBrick(%x)
	{
		$supermacrochain++;
		parent::cancelBrick(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("cancelBrick", %x);
	}

	function shiftBrickAway(%x)
	{
		$supermacrochain++;
		parent::shiftBrickAway(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("shiftBrickAway", %x);
	}

	function shiftBrickTowards(%x)
	{
		$supermacrochain++;
		parent::shiftBrickTowards(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("shiftBrickTowards", %x);
	}

	function shiftBrickLeft(%x)
	{
		$supermacrochain++;
		parent::shiftBrickLeft(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("shiftBrickLeft", %x);
	}

	function shiftBrickRight(%x)
	{
		$supermacrochain++;
		parent::shiftBrickRight(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("shiftBrickRight", %x);
	}

	function shiftBrickUp(%x)
	{
		$supermacrochain++;
		parent::shiftBrickUp(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("shiftBrickUp", %x);
	}

	function shiftBrickDown(%x)
	{
		$supermacrochain++;
		parent::shiftBrickDown(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("shiftBrickDown", %x);
	}

	function shiftBrickThirdUp(%x)
	{
		$supermacrochain++;
		parent::shiftBrickThirdUp(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("shiftBrickThirdUp", %x);
	}

	function shiftBrickThirdDown(%x)
	{
		$supermacrochain++;
		parent::shiftBrickThirdDown(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("shiftBrickThirdDown", %x);
	}

	function RotateBrickCW(%x)
	{
		$supermacrochain++;
		parent::RotateBrickCW(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("RotateBrickCW", %x);
	}

	function RotateBrickCCW(%x)
	{
		$supermacrochain++;
		parent::RotateBrickCCW(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("RotateBrickCCW", %x);
	}

	function toggleSuperShift(%x)
	{
		$supermacrochain++;
		parent::toggleSuperShift(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("toggleSuperShift", %x);
	}

	function superShiftBrickAwayProxy(%x)
	{
		$supermacrochain++;
		parent::superShiftBrickAwayProxy(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("superShiftBrickAwayProxy", %x);
	}

	function superShiftBrickTowardsProxy(%x)
	{
		$supermacrochain++;
		parent::superShiftBrickTowardsProxy(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("superShiftBrickTowardsProxy", %x);
	}

	function superShiftBrickLeftProxy(%x)
	{
		$supermacrochain++;
		parent::superShiftBrickLeftProxy(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("superShiftBrickLeftProxy", %x);
	}

	function superShiftBrickRightProxy(%x)
	{
		$supermacrochain++;
		parent::superShiftBrickRightProxy(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("superShiftBrickRightProxy", %x);
	}

	function superShiftBrickUpProxy(%x)
	{
		$supermacrochain++;
		parent::superShiftBrickUpProxy(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("superShiftBrickUpProxy", %x);
	}

	function superShiftBrickDownProxy(%x)
	{
		$supermacrochain++;
		parent::superShiftBrickDownProxy(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("superShiftBrickDownProxy", %x);
	}

	function ToggleBuildMacroRecording(%x)
	{
		$supermacrochain++;
		parent::ToggleBuildMacroRecording(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("ToggleBuildMacroRecording", %x);
	}

	function PlayBackBuildMacro(%x)
	{
		$supermacrochain++;
		parent::PlayBackBuildMacro(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("PlayBackBuildMacro", %x);
	}

	function emoteSit(%x)
	{
		$supermacrochain++;
		parent::emoteSit(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("emoteSit", %x);
	}

	function emoteLove(%x)
	{
		$supermacrochain++;
		parent::emoteLove(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("emoteLove", %x);
	}

	function emoteHate(%x)
	{
		$supermacrochain++;
		parent::emoteHate(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("emoteHate", %x);
	}

	function emoteConfusion(%x)
	{
		$supermacrochain++;
		parent::emoteConfusion(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("emoteConfusion", %x);
	}

	function emoteAlarm(%x)
	{
		$supermacrochain++;
		parent::emoteAlarm(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("emoteAlarm", %x);
	}

	function buybricks(%x)
	{
		$supermacrochain++;
		parent::buybricks(%x);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("buybricks", %x);
	}

	function commandtoserver(%command, %a, %b, %c, %d, %e, %f, %g, %h, %i, %j, %k, %l, %m, %n, %o, %p, %q, %r, %s, %t, %u, %v, %w, %x, %y, %z)
	{
		$supermacrochain++;
		parent::commandtoserver(%command, %a, %b, %c, %d, %e, %f, %g, %h, %i, %j, %k, %l, %m, %n, %o, %p, %q, %r, %s, %t, %u, %v, %w, %x, %y, %z);
		$supermacrochain--;

		if(!$supermacrochain)
			supermacro_addevent("commandtoserver", %command @","@ %a @","@ %b @","@ %c @","@ %d @","@ %e @","@ %f @","@ %g @","@ %h @","@ %i @","@ %j @","@ %k @","@ %l @","@ %m @","@ %n @","@ %o @","@ %p @","@ %q @","@ %r @","@ %s @","@ %t @","@ %u @","@ %v @","@ %w @","@ %x @","@ %y @","@ %z);
	}
};

//version check system

function SuperMacro_versioncheck(%x)
{
	if(!%x && isfile("./rtbinfo.txt") && isfile("add-ons/system_returntoblockland/client.cs"))
		return;
	$SuperMacroDownloader_manualconnect = %x;

	if(isobject(SuperMacro_Downloader))
		SuperMacro_Downloader.delete();

	new tcpobject(SuperMacro_Downloader);
	$SuperMacroDownloader_downloadphase = 0;
	SuperMacro_Downloader.connect("forum.blockland.us:80");
}

function SuperMacro_Downloader::onConnected(%this)
{
	if($SuperMacroDownloader_downloadphase == 0)
	{
		//forum.blockland.us/index.php?topic=161834.720
		%req = "GET /index.php?topic=161834.720 HTTP/1.0\nHost: forum.blockland.us\n\n";
		%this.send(%req);
	}
	else
	{
		%req = "GET /index.php?action=dlattach;topic=161834.0;attach="@ $SuperMacroDownloader_versionfile SPC"HTTP/1.0\nHost: forum.blockland.us\n\n";
		%this.send(%req);
	}
}

function SuperMacro_Downloader::onConnectFailed(%this)
{
	if($SuperMacroDownloader_manualconnect)
		messageboxok("Attention!", "Unable to connect to the online version information.\n\nYou should check online to make sure Super Macro is up to date.");
}

function SuperMacro_Downloader::onDisconnect(%this)
{
	if(!$SuperMacroDownloader_connected)
	{
		if($SuperMacroDownloader_manualconnect)
			messageboxok("Attention!", "Unable to connect to the online version information.");
	}
	else
		$SuperMacroDownloader_connected = "";
}

function SuperMacro_Downloader::onLine(%this, %line)
{
	if($SuperMacroDownloader_downloadphase == 0)
	{
		if(strpos(%line, "Versions.txt") > -1)
		{
			%subline = "http://forum.blockland.us/index.php?action=dlattach;topic=161834.0;attach=";
			$SuperMacroDownloader_versionfile = getsubstr(%line, strpos(%line, %subline)+strlen(%subline), strpos(%line, "\">")-(strpos(%line, %subline)+strlen(%subline)));

			if(mfloor($SuperMacroDownloader_versionfile) $= $SuperMacroDownloader_versionfile) //nice little integer verification
			{
				$SuperMacroDownloader_connected = 1;
				SuperMacro_Downloader.disconnect();
				$SuperMacroDownloader_downloadphase = 1;
				SuperMacro_Downloader.connect("forum.blockland.us:80");
			}
			else
				SuperMacro_Downloader.disconnect();
		}
	}
	else
	{
		if(getsubstr(%line, 0, 29) $= "NARG MOD VERSION SUPERMACRO: ")
		{
			$SuperMacroDownloader_connected = 1;
			$SuperMacroDownloader_availableversion = getsubstr(%line, 29, strlen(%line)-29);

			if($SuperMacroDownloader_availableversion $= $SuperMacro_version)
				SuperMacro_versionresult(1);
			else
				SuperMacro_versionresult(0);
			SuperMacro_Downloader.disconnect();
		}
	}
}

function SuperMacro_versionresult(%x)
{
	if(%x)
	{
		if($SuperMacroDownloader_manualconnect)
			messageboxok("Good News!", "Super Macro is up to date.");
	}
	else
		messageboxok("Attention!", "There is a more current version of Super Macro!\n\nYour Version: "@$SuperMacro_version@"\n\nAvailable: "@$SuperMacroDownloader_availableversion);
}

if($supermacrobinds)
	return;
$supermacrobinds = true;
$remapdivision[$remapcount] = "SuperMacro";
$remapname[$remapcount] = "Toggle Record";
$remapcmd[$remapcount] = "supermacrogui_togglerecord";
$remapcount++;
$remapname[$remapcount] = "Toggle Playback";
$remapcmd[$remapcount] = "supermacrogui_togglereplay";
$remapcount++;